summaryrefslogtreecommitdiffstats
path: root/system/powershell
diff options
context:
space:
mode:
Diffstat (limited to 'system/powershell')
-rw-r--r--system/powershell/doinst.sh2
-rw-r--r--system/powershell/powershell.SlackBuild49
-rw-r--r--system/powershell/powershell.info6
3 files changed, 29 insertions, 28 deletions
diff --git a/system/powershell/doinst.sh b/system/powershell/doinst.sh
deleted file mode 100644
index 4b87024f0b..0000000000
--- a/system/powershell/doinst.sh
+++ /dev/null
@@ -1,2 +0,0 @@
-chmod +x /opt/microsoft/powershell/pwsh
-ln -s /opt/microsoft/powershell/pwsh /usr/bin/pwsh
diff --git a/system/powershell/powershell.SlackBuild b/system/powershell/powershell.SlackBuild
index 9232ac2e5e..630b66e764 100644
--- a/system/powershell/powershell.SlackBuild
+++ b/system/powershell/powershell.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
#
# Slackware build script for powershell.
#
-# Copyright 2019 Reza Talebi, Shahin Shahr, Iran.
+# Copyright 2022 Reza Talebi, Shahin Shahr, Iran.
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,38 +22,39 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=powershell
-VERSION=${VERSION:-7.0.3}
+VERSION=${VERSION:-7.4.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCHITECTURE="x64"
+else
+ echo "Package for $ARCH architecture is not available."
+ exit 1
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
set -e
-if [ "$( uname -m )" = "x86_64" ]; then
- ARCH="x86_64"
- ARCHITECTURE="x64"
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
- BITS="amd64"
-else
- echo "Package for $(uname -m) architecture is not available."
- exit 1
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -64,12 +65,14 @@ mkdir -p opt/microsoft/powershell
tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C opt/microsoft/powershell
chown -R root:root opt/microsoft/powershell
+mkdir -p usr/bin/
+ln -s /opt/microsoft/powershell/pwsh usr/bin/pwsh
+
mkdir -p usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg --linkadd y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/powershell/powershell.info b/system/powershell/powershell.info
index 948c90ce57..7f175f5d77 100644
--- a/system/powershell/powershell.info
+++ b/system/powershell/powershell.info
@@ -1,10 +1,10 @@
PRGNAM="powershell"
-VERSION="7.0.3"
+VERSION="7.4.1"
HOMEPAGE="https://www.microsoft.com/powershell/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://github.com/PowerShell/PowerShell/releases/download/v7.0.3/powershell-7.0.3-linux-x64.tar.gz"
-MD5SUM_x86_64="742db1551728c88d6277653d34db56b4"
+DOWNLOAD_x86_64="https://github.com/PowerShell/PowerShell/releases/download/v7.4.1/powershell-7.4.1-linux-x64.tar.gz"
+MD5SUM_x86_64="3d78dde9590500d829cff628ebc9a2ca"
REQUIRES=""
MAINTAINER="Reza Talebi"
EMAIL="reza.talebi.73@outlook.com"